> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific departments details

> The Get Proposal Department Details endpoint provides comprehensive information for a specific proposal department. With this, you can see all associated product templates and rulesets, and easily download a sample template if one's available.



## OpenAPI

````yaml dropship_proposals.openapi get /v1/brands/{brand_id}/connections/{id}/departments/{department_id}/
openapi: 3.0.0
info:
  title: Proposals API
  version: 1.0.0
  description: |
    Endpoints for managing product proposals and their statuses.
servers:
  - url: https://marketplace-api.fabric.inc
    description: Production server
security:
  - Bearer: []
tags:
  - name: Proposals
    description: Proposal operations
paths:
  /v1/brands/{brand_id}/connections/{id}/departments/{department_id}/:
    get:
      tags:
        - Proposals
      summary: Get a specific departments details
      description: >-
        The Get Proposal Department Details endpoint provides comprehensive
        information for a specific proposal department. With this, you can see
        all associated product templates and rulesets, and easily download a
        sample template if one's available.
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: number
          description: >-
            The unique brand ID. In the Dropship UI this is called the
            **Supplier ID**. To find your Supplier ID, click your supplier name
            in the top nav.
          example:
            - 1249
        - name: id
          in: path
          required: true
          description: >-
            The unique connection id. This ID is automatically generated when a
            connection is created.
          schema:
            type: integer
        - name: department_id
          in: path
          required: true
          description: >-
            The ID of the department. It can be retrieved from the response
            provided by the get `departments/` endpoint.
          schema:
            type: integer
      responses:
        '200':
          description: Proposal details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DepartmentResponse'
components:
  schemas:
    DepartmentResponse:
      type: object
      description: >-
        Represents a product feed configuration for a retailer, including
        associated users, templates, and rulesets.
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier of the feed.
          example: 1418
        retailer:
          $ref: '#/components/schemas/Retailer'
        owner_user:
          $ref: '#/components/schemas/OwnerUser'
        manager_user:
          type: object
          nullable: true
          description: Details about the manager user, if any.
          example: null
        name:
          type: string
          description: The name of the feed.
          example: fabric Merchant Apparel
        code:
          type: string
          description: A unique code for the feed.
          example: fabric-merchant-general
        sample_template_url:
          type: string
          format: url
          nullable: true
          description: URL to a sample template for this feed.
          example: >-
            https://res.cloudinary.com/revcascade/raw/upload/v1658950690/sample-templates/ApparelBad.csv
        description:
          type: string
          nullable: true
          description: A description of the feed.
          example: null
        template:
          $ref: '#/components/schemas/Template'
        brand_ruleset:
          $ref: '#/components/schemas/BrandRuleset'
        retailer_ruleset:
          $ref: '#/components/schemas/RetailerRuleset'
        is_active:
          type: boolean
          description: Indicates if the feed is active.
          example: true
    Retailer:
      type: object
      description: Details about the associated retailer.
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier of the retailer.
          example: 1233
        name:
          type: string
          description: The name of the retailer.
          example: fabric Merchant
        code:
          type: string
          description: A unique code for the retailer.
          example: fabric-merchant
        logo_url:
          type: string
          format: url
          description: URL to the retailer's logo.
          example: >-
            https://assets.revcascade.com/retailers/d8b42096-5e46-41e4-bde0-80c17d3d3a52
        cover_url:
          type: string
          format: url
          description: URL to the retailer's cover image.
          example: https://images.revcascade.com/retailers/defaults/cover.png
        profile_tile_url:
          type: string
          format: url
          description: URL to the retailer's profile tile image.
          example: https://images.revcascade.com/retailers/defaults/profile-tile.png
        joined_at:
          type: string
          format: date-time
          description: Timestamp when the retailer joined.
          example: '2022-05-27T03:07:59.000Z'
        is_3pm:
          type: boolean
          description: Indicates if the retailer is a 3PM (Third-Party Merchant).
          example: false
        is_rcn_retailer:
          type: boolean
          description: Indicates if the retailer is an RCN (RevCascade Network) retailer.
          example: false
        is_onboarded:
          type: boolean
          description: Indicates if the retailer has completed onboarding.
          example: true
        platform:
          type: string
          description: The platform the retailer uses.
          example: fabric
        requires_subscription:
          type: string
          description: >-
            Indicates if the retailer requires a subscription (e.g.,
            'disabled').
          example: disabled
        brand_permit_creation_allowed:
          type: boolean
          description: Indicates if brand permit creation is allowed for this retailer.
          example: true
        website:
          type: string
          format: url
          description: The retailer's website URL.
          example: https://www.fabric.inc
        status:
          type: string
          description: The current status of the retailer (e.g., 'active').
          example: active
        indexing_template_id:
          type: integer
          format: int64
          nullable: true
          description: The ID of the indexing template, if any.
          example: null
    OwnerUser:
      type: object
      description: Details about the user who owns this feed.
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier of the user.
          example: 1002
        first_name:
          type: string
          description: The first name of the user.
          example: Kyle
        last_name:
          type: string
          description: The last name of the user.
          example: Stainer
        title:
          type: string
          description: The title or role of the user.
          example: Engineering
        status:
          type: string
          description: The current status of the user (e.g., 'active').
          example: active
        type:
          type: string
          description: The type of user (e.g., 'standard').
          example: standard
        photo_url:
          type: string
          format: url
          description: URL to the user's photo.
          example: >-
            https://images.revcascade.com/users/2c5346e8b01f40de8977d29ee038f995/photo.jpg
        profile_photo:
          type: string
          format: url
          description: URL to the user's profile photo.
          example: >-
            https://images.revcascade.com/users/2c5346e8b01f40de8977d29ee038f995/photo.jpg
        is_me:
          type: boolean
          description: Indicates if the user is the current authenticated user.
          example: false
    Template:
      type: object
      description: Details about the template used for this feed.
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier of the template.
          example: 3245
        name:
          type: string
          description: The name of the template.
          example: fabric General Merchandise
        code:
          type: string
          description: The code of the template.
          example: fabric-general-merchandise
    BrandRuleset:
      type: object
      description: Details about the brand ruleset applied to this feed.
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier of the brand ruleset.
          example: 36
    RetailerRuleset:
      type: object
      description: Details about the retailer ruleset applied to this feed.
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier of the retailer ruleset.
          example: 37
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````